<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Tasks</title>
	</head>
	<body>
		{% extends 'layouts/url-list.html' %} {% block content %}

		{# Note: This is a Task #}
		<h1>Tasks</h1>
		<ul>
			{% for task in tasks %}
			<li class="task">
				<h2>
					{% if task.is_done == True %} ⏱️ {% else %} ✅ {% endif %}
					{{task.title}}
				</h2>
				<p>{{ task.description }}</p>
				<p>Project: {{ task.project.name }}</p>
				<!--
				{% if task.is_done == True %}
				<p><input type="checkbox" disabled checked /> Finished task</p>
				{% else %}
				<p><input type="checkbox" disabled /> Unfinished task</p>
				{% endif %}
				-->
				<button>❌ Delete</button>
				<button>✅ Done</button>
			</li>
			{% endfor %}
		</ul>

		{% endblock %}
	</body>
</html>
